<? session_start();

//RESTRICCIÓN DE ACCESO A TRABAJADOR (ACCESO INDIVIDUAL) 
if (isset($_SESSION['tipousuario']))
		{if ($_SESSION['tipousuario']=='1')
		header ('location:menu_personal.php');
		}
if  (trim($_SESSION['nombre_validar'])=='') header ('location:index.php');

	include ("fphp.php");
	$enlace=cargar_conexion();
	$cedula=$_REQUEST["cedula"];
		
	$consulta=mysqli_query($enlace, "select * from empresa where id='".$_SESSION['id_validar']."' ");
	if (mysqli_num_rows($consulta)!=0){
			$row=mysqli_fetch_array($consulta);
			$_POST['pie']=$row['pie'];
			$_POST['encabeza']=$row['encabeza'];
			$_POST['empresas']=$row['nombre'];
	}   
	$_POST['usuario']=$_SESSION['nombre_validar'];

	if (file_exists('fotos/'.$cedula.'.jpg')) $_POST['imagen']='fotos/'.$cedula.'.jpg';
	else $_POST['imagen'] = 'img2/nohay.jpg';
	
	require('fpdf.php');
	class PDF extends FPDF {
	function Header()
	{
	    	$this->Image($_SESSION['logo_validar'],10,10,30,30);
	    	$this->Image($_POST['imagen'],160,10,30,30);
			$this->SetFont('arial','',18);
			$this->Ln(20);
			$this->Cell(0,5,'FICHA DEL TRABAJADOR',0,1,'C');
			$this->SetFont('arial','',10);
			$this->Ln(10);
	}
	function Footer()
			{
			$this->SetY(-20);
			$this->Cell(0,0,'',1,1,'C');
			$this->SetFont('Times','I',8);
			$this->ln(2);
			$this->Cell(0,0,$_POST['pie'],0,1,'C');
			}
	}
	$pdf=new PDF($orientacion='P',$unit='mm',$format='letter');
	$pdf->AddPage();
	$pdf->AliasNbPages();
	$pdf->SetFillColor(224,235,255);
	$pdf->SetTextColor(0);

///////////////////////////////////////////////// modificar registros ////////////////////////////////////////////////////////////////
	$consulta="select * from personal where id='".$_SESSION['id_validar']."' and codigo='".$cedula."' ";
	$resultado = mysqli_query($enlace, $consulta) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysqli_error($enlace));
	
	$row=mysqli_fetch_array($resultado);
	$pdf->cell(0,5,'Datos Personales',1,1,'C',1);
	$pdf->ln(3);
	
		$a=($row['nacionalidad'] != 'E'?'V':'E'); 	
		$pdf->cell(100,5,'Cédula: '.$row['codigo'],0,0,'');
		$pdf->cell(100,5,'Nacionalidad: '.$a,0,1,'');

		$pdf->cell(100,5,'Primer Nombre: '.$row['nombres'],0,0,'');
		$pdf->cell(100,5,'Segundo Nombre: '.$row['nombres1'],0,1,'');
		
		$pdf->cell(100,5,'Primer Apellido: '.$row['apellidos'],0,0,'');
		$pdf->cell(100,5,'Segundo Apellido: '.$row['apellidos1'],0,1,'');

		$pdf->cell(100,5,'RIF: '.$row['sso'],0,0,'');
		$a=($row['sexo'] == 'M'?'Masculino':'Femenino'); 
		$pdf->cell(100,5,'Sexo: '.$a,0,1,'');
	$pdf->ln(3);
		//$pdf->cell(100,5,'Profesión: '.mostrar_tabla('profesion',$row['profesion']),0,0,'');
				/*
		$pdf->cell(100,5,'Pasaporte: '.$row['pasaporte'],0,0,'');
		$pdf->cell(100,5,'País de Origen: '.$row['pais'],0,1,'');
		*/
	$pdf->cell(0,5,'Datos de Nacimiento',1,1,'C',1);
	$pdf->ln(3);

		$pdf->cell(100,5,'Fecha de Nacimiento: '.mostrar_fecha($row['fechan']),0,0,'');
		$pdf->cell(100,5,'País Nacimiento: '.mostrar_paises($enlace, 'pais',$row['pais']),0,1,'');
		
		$pdf->cell(100,5,'Edo. Nacimiento: '.$row['edo_nac'],0,0,'');
		$pdf->cell(100,5,'Cdad. Nacimiento: '.$row['ciudad_nac'],0,1,'');

	$pdf->ln(3);
	
	$pdf->cell(0,5,'Datos de Habitación/Contacto',1,1,'C',1);
	$pdf->ln(3);

		$pdf->cell(200,5,'Dirección: '.$row['dir'],0,1,'');

		
		$pdf->cell(100,5,'Estado: '.mostrar_estados_ven($enlace, 'estados_ven',$row['estado']),0,0,'');
		
		$pdf->cell(100,5,'Municipio: '.mostrar_municipios_ven($enlace, 'municipios_ven',$row['municipio']),0,1,'');
		
		$pdf->cell(100,5,'Telefonos: '.$row['telefono'],0,0,'');
		$pdf->cell(100,5,'Email: '.$row['mensaje'],0,1,'');

	$pdf->ln(3);
	
	$pdf->cell(0,5,'Carga Familiar',1,1,'C',1);
	$pdf->ln(3);
	
		if ($row['edocivil'] == ''||$row['edocivil'] == '1') $a='Soltero(a)'; 
		if ($row['edocivil'] == '2') $a="Casado(a)"; 
		if ($row['edocivil'] == '3') $a="Viudo(a)"; 
		if ($row['edocivil'] == '4') $a="Divorciado(a)"; 
		if ($row['edocivil'] == '5') $a="Concubino(a)"; 		
		$pdf->cell(100,5,'Estado Civil: '.$a,0,1,'');
		
		$pdf->cell(100,5,'Nombre Conyugue: '.$row['conyugue'],0,1,'');
		
		$pdf->cell(100,5,'Nº documento Conyugue: '.$row['id_conyugue'],0,0,'');
		$pdf->cell(100,5,'Telf. Conyugue: '.$row['tel_conyug'],0,1,'');
		
		
		$pdf->cell(100,5,'Nro. de Hijos: '.$row['hijo'],0,1,'');

	$pdf->ln(3);
	
	$pdf->cell(0,5,'DATOS SEGURIDAD SOCIAL Y SST',1,1,'C',1);
	$pdf->ln(3);		


		if ($row['mano'] == '') $a='';
		if ($row['mano'] == 'I') $a="Izquierda"; 
		if ($row['mano'] == 'D') $a="Derecha"; 
		$pdf->cell(100,5,'Mano Dominante: '.$a,0,0,'');

		if ($row['gsanguineo'] == '') $a='';
		if ($row['gsanguineo'] == '1') $a="O-"; 
		if ($row['gsanguineo'] == '2') $a="O+"; 
		if ($row['gsanguineo'] == '3') $a="A-"; 
		if ($row['gsanguineo'] == '4') $a="A+"; 
		if ($row['gsanguineo'] == '5') $a="B-"; 
		if ($row['gsanguineo'] == '6') $a=" B+"; 
		if ($row['gsanguineo'] == '7') $a="AB-"; 
		if ($row['gsanguineo'] == '8') $a="AB+"; 
		$pdf->cell(100,5,'Tipo de sangre: '.$a,0,1,'');
		
	$pdf->ln(3);			
	$pdf->cell(0,5,'Segumiento Médico',1,1,'C',1);
	$pdf->ln(3);			
		
		$pdf->cell(100,5,'Fecha último Exámen Médico: '.mostrar_fecha($row['fechaman']),0,0,'');
		$pdf->cell(100,5,'Venc. Certificado de Salud: '.mostrar_fecha($row['fechasal']),0,1,'');

		$pdf->cell(100,5,'Venc. Licencia de Conducir: '.mostrar_fecha($row['fechalic']),0,0,'');
		$pdf->cell(100,5,'Venc. Certificado Médico: '.mostrar_fecha($row['fechacar']),0,1,'');

	$pdf->ln(3);			
	$pdf->cell(0,5,'Datos de Dotación',1,1,'C',1);
	$pdf->ln(3);		
		$pdf->cell(100,5,'Tallas: Zapato: '.$row['tallazapato'].' - Camisa: '.$row['tallacamisa'].' - Pantalon: '.$row['tallapantalon'],0,0,'');
		$pdf->cell(100,5,'Fecha de Ultima Dotación: '.mostrar_fecha($row['fec_dota']),0,1,'');
	$pdf->ln(3);			


	$pdf->cell(0,5,'DATOS BANCARIOS',1,1,'C',1);
	$pdf->ln(3);

		$a=($row['pago'] != '2'?'Efectivo':'Bancario'); 
		$pdf->cell(100,5,'Forma de Pago: '.$a,0,1,'');
		
		//mostrar banco
		if ($row['banco'] == '') $a='';
		if ($row['banco'] == '0156') $a=" 100%BANCO"; 
		if ($row['banco'] == '0172') $a="BANCAMIGA BANCO MICROFINANCIERO, C.A."; 
		if ($row['banco'] == '0166') $a="BANCO AGRICOLA"; 
		if ($row['banco'] == '0175') $a="BANCO BICENTENARIO";
		if ($row['banco'] == '0128') $a="BANCO CARONI, C.A. BANCO UNIVERSAL";
		if ($row['banco'] == '0102') $a="BANCO DE VENEZUELA";
		if ($row['banco'] == '0114') $a="BANCO DEL CARIBE C.A.";
		if ($row['banco'] == '0149') $a="BANCO DEL PUEBLO SOBERANO C.A.";
		if ($row['banco'] == '0163') $a="BANCO DEL TESORO";
		if ($row['banco'] == '0115') $a="BANCO EXTERIOR C.A.";
		if ($row['banco'] == '0003') $a="BANCO INDUSTRIAL DE VENEZUELA.";
		if ($row['banco'] == '0105') $a="BANCO MERCANTIL C.A.";
		if ($row['banco'] == '0191') $a="BANCO NACIONAL DE CREDITO";
		if ($row['banco'] == '0116') $a="BANCO OCCIDENTAL DE DESCUENTO.";
		if ($row['banco'] == '0138') $a="BANCO PLAZA";
		if ($row['banco'] == '0108') $a="BANCO PROVINCIAL BBVA";
		if ($row['banco'] == '0104') $a="BANCO VENEZOLANO DE CREDITO S.A.";
		if ($row['banco'] == '0168') $a="BANCRECER S.A. BANCO DE DESARROLLO";
		if ($row['banco'] == '0134') $a="BANESCO BANCO UNIVERSAL";
		if ($row['banco'] == '0177') $a="BANFANB";
		if ($row['banco'] == '0174') $a="BANPLUS BANCO COMERCIAL C.A.";
		if ($row['banco'] == '0190') $a="CITIBANK";
		if ($row['banco'] == '0157') $a="DELSUR BANCO UNIVERSAL";
		if ($row['banco'] == '0151') $a="FONDO COMUN";
		if ($row['banco'] == '0137') $a="SOFITASA";			
		$pdf->cell(100,5,'Entidad Bancaria: '.$a,0,0,'');
		
		$pdf->cell(100,5,'Agencia Cód: '.$row['agencia_banco'],0,1,'');

		$pdf->cell(100,5,'Dígito verificador: '.$row['digito_verifbanco'],0,0,'');
		$pdf->cell(100,5,'# Cuenta Bancaria (corto): '.$row['cuentacorto'],0,1,'');

		if ($row['tipo'] == '') $a='';
		if ($row['tipo'] == '1') $a="Ahorro"; 
		if ($row['tipo'] == '2') $a="Corriente"; 
		$pdf->cell(100,5,'Tipo de Cuenta: '.$a,0,0,'');
		$pdf->cell(100,5,'Cuenta Bancaria: '.$row['cuenta'],0,1,'');
		
	$pdf->ln(3);
	$pdf->cell(0,5,'DATOS DE CARGO/ORGANIGRAMA',1,1,'C',1);
	$pdf->ln(3);

				$pdf->cell(100,5,'Unidad: '.mostrar_tabla($enlace, 'unidad',$row['unidad']),0,0,'');
				$pdf->cell(100,5,'Área: '.mostrar_tabla($enlace, 'area',$row['area']),0,1,'');				


				$pdf->cell(100,5,'Departamento: '.mostrar_tabla($enlace, 'departamento',$row['departamento']),0,0,'');
				$pdf->cell(100,5,'Cargo: '.mostrar_tabla($enlace,'cargo',$row['cargo']),0,1,'');
		//$pdf->cell(100,5,'Gerencia: '.mostrar_tabla('gerencia',$row['gerencia']),0,0,'');
		//$pdf->cell(100,5,'Dirección: '.mostrar_tabla('direccion',$row['direccion']),0,1,'');

		//$pdf->cell(100,5,'División: '.mostrar_tabla('division',$row['division']),0,0,'');
		//$pdf->cell(100,5,'Sector: '.mostrar_tabla('sector',$row['sector']),0,1,'');
	$pdf->ln(3);
	$pdf->cell(0,5,'DATOS DE CONTRATO',1,1,'C',1);
	$pdf->ln(3);
		$pdf->cell(100,5,'Fecha Ingreso: '.mostrar_fecha($row['fechai']),0,0,'');
		$pdf->cell(100,5,'Tipo de Ingreso: '.$row['tipoingreso'],0,1,'');
		
		$a=$row['contrato'];
		$query = "select * from contrato where id='".$_SESSION['id_validar']."' and codigo='".$row['contrato']."'";
		$consulta = mysqli_query($enlace, $query) or die ("no se pudo realizar la consulta...");	
		if ( mysqli_num_rows($consulta)!=0 ) {
				$row1 = mysqli_fetch_array($consulta);
				$a=$row1['detalle'];
		}
		$pdf->cell(100,5,'Contrato: (Nº'.$row['nrocontrato'].') '.$a,0,1,'');		

		$pdf->cell(200,5,'Objeto del Contrato: '.$row['justicontrato'],0,1,'');		
		
		$pdf->cell(100,5,'Fecha Finalización Contrato: '.mostrar_fecha($row['fechac']),0,1,'');	
		

		//$pdf->cell(100,5,'Unidad: '.mostrar_tabla('unidad',$row['unidad']),0,1,'');
		
	$pdf->ln(3);
	$pdf->cell(0,5,'DATOS DE NÓMINA Y SALARIOS',1,1,'C',1);
	$pdf->ln(3);
		$pdf->cell(100,5,'Tipo vínculo: '.$row['tp'],0,1,'');

		$a=$row['nomina'];
		$query = "select * from nomina where id='".$_SESSION['id_validar']."' and codigo='".$row['nomina']."'";
		$consulta = mysqli_query($enlace, $query) or die ("no se pudo realizar la consulta...");	
		if ( mysqli_num_rows($consulta)!=0 ) {
				$row1 = mysqli_fetch_array($consulta);
				$a=$row1['detalle'];
		}			
		$pdf->cell(100,5,'Nómina: '.$a,0,0,'');
		
		$a=$row['turno'];
		$query = "select * from turno where id='".$_SESSION['id_validar']."' and codigo='".$row['turno']."'";
		$consulta = mysqli_query($enlace, $query) or die ("no se pudo realizar la consulta...");	
		if ( mysqli_num_rows($consulta)!=0 ) {
				$row1 = mysqli_fetch_array($consulta);
				$a=$row1['detalle'];
		}			
		$pdf->cell(100,5,'Jornada: '.$a,0,1,'');
		
		$pdf->cell(100,5,'Sueldo Básico (Bs.): '.number_format($row['smes'],2,',','.'),0,0,'');
		
		if ($row['sector'] == '') $a='';
		if ($row['sector'] == '1000') $a="FIJO"; 
		if ($row['sector'] == '2000') $a="VARIABLE"; 
		$pdf->cell(100,5,'Tipo Salario: '.$a,0,1,'');

		if ($row['grado_salar'] == '') $a='';
		if ($row['grado_salar'] == '001') $a="001"; 
		if ($row['grado_salar'] == '002') $a="002"; 
		if ($row['grado_salar'] == '003') $a="003"; 
		if ($row['grado_salar'] == '004') $a="004"; 
		if ($row['grado_salar'] == '005') $a="005"; 
		if ($row['grado_salar'] == '006') $a="006"; 
		if ($row['grado_salar'] == '007') $a="007"; 
		if ($row['grado_salar'] == '008') $a="008"; 
		if ($row['grado_salar'] == 'LL5') $a="LL5"; 
		if ($row['grado_salar'] == 'LL6') $a="LL6"; 
		$pdf->cell(100,5,'Grado salarial: '.$a,0,0,'');

		if ($row['lider'] == '') $a="NO";
		if ($row['lider'] == 'LG') $a="Líder grupo"; 
		if ($row['lider'] == 'LM') $a="Líder manufac"; 
		$pdf->cell(100,5,'Líder: '.$a,0,1,'');		
	$pdf->Output();
	mysqli_close($enlace);
?>